import 'package:flutter/material.dart';

class CustomDialog extends StatelessWidget {
  final Widget child;

  CustomDialog({
    @required this.child,
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: MediaQuery.of(context).size.height * 0.35,
        width: MediaQuery.of(context).size.width * 0.95,
        child: Dialog(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(15),
          ),
          elevation: 0.0,
          backgroundColor: Colors.white,
          child: child,
        ),
      ),
    );
  }
}
